#!/bin/sh

version="$1"

if [ -z $version ]; then
	$version="0.9.0"
fi

echo "Aktiviere Dropbear..."
mv /etc/init.d/dropbear /etc/init.d/S50dropbear

echo "Suche Addons..."
if [ -f /tmp/addons-"$version"_full.tar.gz ]; then
	echo "Entpacke Addons..."
	echo "Wenn etwas schiefgeht, solltest du rm -rf /jffs/* eingeben und rebooten. Der Router befindet sich danach wieder im Auslieferungszustand! Der ssh-Zugang muss dann erneut freigeschaltet werden!"
	rm -f /etc/init.d/*dropbear*
	tar -xzf /tmp/addons-"$version"_full.tar.gz -C /

	echo "Ersetze fehlerhaftes ipkg und rmdir..."
	rm -f /usr/bin/ipkg
	mv /tmp/ipkg.fixed /usr/bin/ipkg
	rm -f /bin/rmdir
	mv /tmp/rmdir.fixed /bin/rmdir

	echo "$version" > /etc/addon_version
	rm -f /tmp/addons-"$version"_full.tar.gz
	rm -f /tmp/install-offline.sh
	echo "Version $version der Addons wurde installiert."
	echo "You shoud reboot now, type reboot"
	echo "If you need ssh and webif access from the LAN-/Internet-Port edit the file /etc/config/remote and set all values to 1"
	exit 0
else
	echo "Installation fehlgeschlagen: Addons nicht gefunden!"
	echo "Usage: `basename $0` version"
	exit 1
fi
