#!/usr/bin/webif-page
<?
. /usr/lib/webif/webif.sh

sel_fonupdate=1

. /usr/lib/webif/advanced.sh

header "FON Update Title#regular FON Updates"

display_form <<EOF
	infotable|FON Updates#Here you can see relevant updates ejected by FON.

	start_table|0|10|5
EOF

status=""
# force check for Updates
equal "$REQUEST_METHOD" "POST" && {
	echo "@TR<<FON Check|Check for Update...>>"
	/bin/thinclient force
	echo "@TR<<done>>"
}

# execute selected script
if [ ! -z $FORM_file_exe ]; then
	ash /www/updates/$FORM_file_exe
	status="@TR<<FON Execute success#The script has been executed successfully.>>"
fi

# delete selected script
if [ ! -z $FORM_file_del ]; then
	rm -f /www/updates/$FORM_file_del
	status="@TR<<FON Delete success#The script has been deleted successfully.>>"
fi

updatefiles="$(ls /www/updates/thinclient* 2>/dev/null)"
if [ -n "$updatefiles" ]; then
	for file in $updatefiles ; do
		filename=${file##*/}
		filesize=$(ls -l $file | tr -s " " | cut -d " " -f 5)

display_form <<EOF
		add_row
		add_label_cell|$filename
		add_label_cell|$filesize
		add_label_cell|<a href="?file_show=$filename">@TR<<Show>></a>
		add_label_cell|<a href="?file_exe=$filename">@TR<<Execute>></a>
		add_label_cell|<a href="?file_del=$filename">@TR<<Delete>></a>
		end_row
EOF
	done
else
	status="$status<br>@TR<<No update available>>"
fi

logfile="/www/updates/fonupdate.log"
if [ -s $logfile ]; then
	filename=${logfile##*/}
	filesize=$(ls -l $logfile | tr -s " " | cut -d " " -f 5)
display_form <<EOF
	end_table
	start_table|0|10|5
	add_row
	add_label_cell|$filename
	add_label_cell|$filesize
	add_label_cell|<a href="?file_show=$filename">@TR<<Show>></a>
	add_label_cell|<a href="?file_del=$filename">@TR<<Delete>></a>
	end_row
EOF
fi

display_form <<EOF
	end_table
	start_table|0|10|5
		add_row
			add_button_cell|update|@TR<<Update>>|tableTextButton
		end_row
	end_table
EOF

# Show selected script
if [ -f /www/updates/${FORM_file_show} ]; then
	filecontent=""
	while read line; do
		filecontent="$filecontent$line<br>"
	done < /www/updates/${FORM_file_show}

display_form <<EOF
		infotable
		start_table|1|0|0
		table_caption|@TR<<FON Content#Content of the file:>> ${FORM_file_show}
		add_row
		add_normal_cell|$filecontent
		end_row
		end_table
EOF
fi

display_form <<EOF
	caption|$status
EOF

footer 
?>